
export zaehler=0

cd $INPUTF
for i in `ls -d *`; do
  echo ""
  DOKS=`ls $i | wc -l | sed -e 's/ //g'`

  echo $i | awk -vSIL="$DOKS" '{printf("working on %-20s Doks: %3s\n",$0, SIL)}'; 

  if [ -d "$OUTPUTF/$i" ];
    then
    # do nothing!
     echo " " #"$OUTPUTF/$i existiert!"
    else
    echo "$OUTPUTF/$i existiert nicht, lege Verzeichnis an ..."
    mkdir $OUTPUTF/$i
  fi
    

  cd $i

  ls | grep -v Thumbs.db | while read jpg
  do
    zaehler=`expr $zaehler + 1`
    if [ -e "$OUTPUTF/$i/$jpg" ];
		  then
			# DATEI SCHON VORHANDEN
			sum1=`cksum "$OUTPUTF/$i/$jpg"|awk -F' ' '{print $1}'`
			sum2=`cksum  "$INPUTF/$i/$jpg"|awk -F' ' '{print $1}'`
			if [ "$sum1" = "$sum2" ];
				then
				# Datei identisch
				echo "Quelle: $INPUTF/$i/$jpg Ziel: $OUTPUTF/$i/$jpg " >> $OUTPUTF/doppelt.txt
				export jpgg="$jpg"
				export dummyz=$zaehler"+"
			else
				export dummyz=$zaehler"-"
				export jpgg=`echo $jpg | sed -e 's/\./_\./g' | sed -e 's/ //g'`
				while [ -e "$OUTPUTF/$i/$jpgg" ];
					do
					export jpgg=`echo "$jpgg" | sed -e 's/\./_\./g' | sed -e 's/ //g'`
					done
				echo "$INPUTF/$i/$jpg $OUTPUTF/$i/$jpgg " >> $OUPUT/Name_geaendert.txt
			fi

    else
      # DATEI FRISCH UND NEU
      export dummyz=$zaehler
      export jpgg="$jpg"
    fi;
echo -n "$dummyz "
mv "$INPUTF/$i/$jpg" "$OUTPUTF/$i/$jpgg" 2>/dev/null

done



cd ..
done